Name:           pingus
Version:        0.7.2
Release:        11%{?dist}
Summary:        Guide the penguins safely home before they drop of the cliff
Group:          Amusements/Games
License:        GPLv2+
URL:            http://pingus.seul.org/
Source0:        http://pingus.seul.org/files/%{name}-%{version}.tar.bz2
Source1:        pingus.desktop
Source2:        pingus.png
#Patch0:         pingus-0.7.2-gcc43.patch
Patch1:         pingus-0.7.2-gcc44.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  SDL_mixer-devel SDL_image-devel boost-devel libpng-devel
BuildRequires:  physfs-devel scons desktop-file-utils
Requires:       hicolor-icon-theme

%description
You take command in the game of a bunch of small penguins
and have to guide them around in levels. Since the penguins
walk on their own, the player can only influence them by giving them commands,
like build a bridge, dig a hole or redirect all penguins in the other
direction. The goal of each level is to reach the exit, for which multiple
combination of commands are necessary. The game is presented in a 2D site view.


%prep
%setup -q
#%patch0 -p1
%patch1 -p0
iconv -f ISO8859-2 -t UTF8 AUTHORS > AUTHORS.tmp
mv AUTHORS.tmp AUTHORS


%build
scons CCFLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man6
./install.sh $RPM_BUILD_ROOT%{_prefix}
install -p -m 644 doc/%{name}.6 $RPM_BUILD_ROOT%{_mandir}/man6/

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install -p -m 644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_mandir}/man6/%{name}.6*


%changelog
* Thu Jul 29 2010 Bill Nottingham <notting@redhat.com> - 0.7.2-11
- Rebuild for boost-1.44, again

* Tue Jul 27 2010 Bill Nottingham <notting@redhat.com> - 0.7.2-10
- Rebuild for boost-1.44

* Fri Jan 22 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 0.7.2-9
- Rebuild for Boost soname bump

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon May 18 2009 Hans de Goede <hdegoede@redhat.com> 0.7.2-7
- Update description for new trademark guidelines

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 19 2009 Rafał Psota <rafalzaq@gmail.com> - 0.7.2-5
- Fix compiling with gcc 4.4

* Wed Dec 17 2008 Benjamin Kosnik  <bkoz@redhat.com> - 0.7.2-4
- Rebuild for boost-1.37.0.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.7.2-3
- Autorebuild for GCC 4.3

* Wed Jan  9 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.7.2-2
- New upstream release 0.7.2
- Fix compiling with gcc 4.3

* Sun Sep 30 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.7.1-1
- New upstream release 0.7.1

* Wed Aug 22 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.7.0-1
- New upstream release 0.7.0 final
- This changes pingus from a ClanLib app into an SDL app
- Drop patch to switch pingus translations to gettext as it has been rejected
  by upstream, instead use pingus' own translation system  

* Wed Aug 15 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.7.0-0.5.20060721
- Update License tag for new Licensing Guidelines compliance

* Tue Aug 29 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.7.0-0.4.20060721
- FE6 Rebuild

* Sun Aug 13 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.7.0-0.3.20060721
- Rebuild for new ClanLib

* Sun Jul 23 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.7.0-0.2.20060721
- add missing BR: gettext

* Fri Jul 21 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.7.0-0.1.20060721
- initial Fedora Extras package
